/*
 * zIndicators.c
 * 
 * The Zen API 
 * Copyright (C) 2008-2009 by LMI Technologies Inc.
 * 
 * Licensed under The MIT License.
 * Redistributions of files must retain the above copyright notice.
 */
#include <zIndicators.h>

ZAPI_EXPORT(z32u) zIndicatorSet_Source(zIndicatorSet set)
{
    return (z32u) zResult_AttributeAt(set, 0); 
}

ZAPI_EXPORT(z32u) zIndicatorSet_Count(zIndicatorSet set)
{
    return (z32u) zResult_ItemLength(set, 0, 0); 
}

ZAPI_EXPORT(const zIndicator*) zIndicatorSet_At(zIndicatorSet set, z32u index)
{
    return zResult_ItemAt(set, 0, index, 0, 0); 
}
